/**
 * ActRelationshipFulfills2.java
 *
 * File generated from the medication2::ActRelationshipFulfills2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipFulfills2.
 *
 * 
 */

@XmlType(name = "ActRelationshipFulfills")
@XmlEnum
@XmlRootElement(name = "ActRelationshipFulfills2")
public enum ActRelationshipFulfills2 {
	@XmlEnumValue("FLFS")
	FLFS("FLFS"),
	@XmlEnumValue("OCCR")
	OCCR("OCCR"),
	@XmlEnumValue("OREF")
	OREF("OREF"),
	@XmlEnumValue("SCH")
	SCH("SCH");
	
	private final String value;

    ActRelationshipFulfills2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipFulfills2 fromValue(String v) {
        for (ActRelationshipFulfills2 c: ActRelationshipFulfills2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
